import javax.swing.JFileChooser;
import java.io.*;
import java.util.*;

public class Kreslič
{
    private Kreslič(){}   
    
    public static void nakresli(){
        JFileChooser vybírač = new JFileChooser("C:");
        if(vybírač.showOpenDialog(null) == JFileChooser.APPROVE_OPTION){
            String cesta = vybírač.getSelectedFile().getAbsolutePath();
            BufferedReader čteč = null;
            try{
                čteč = new BufferedReader(new InputStreamReader(new FileInputStream(cesta), "CP1250"));
                Collection<String> tvary = new ArrayList<String>();
                String řádek = "";
                while((řádek = čteč.readLine()) != null){
                    System.out.println("Načetl jsem nový tvar: " + řádek);
                    tvary.add(řádek);
                    System.out.println("Již je načteno " + tvary.size() + " tvarů");
                }
                nakresliTvary(tvary);
            }catch(IOException e){}
            finally{
                try{
                    if(čteč != null){ čteč.close();}
                }
                catch(IOException e){}
            }
        }
    } 
        
    private static void nakresliTvary(Collection<String> názvy){
        int početTvarů = 0;
        System.out.println("Bude se kreslit " + názvy.size() + " tvarů");
        for(String tvar : názvy){
            System.out.println("Kreslím tvar " + tvar);
            int x = (početTvarů % 3) * 100;
            int y = (početTvarů / 3) * 100;
            if(tvar.equals("čtverec")){
                Obdélník obdélník = new Obdélník(x, y, 100, 100);
                obdélník.nakresli();
                početTvarů++;
            }
            else if(tvar.equals("kruh")){
                Elipsa elipsa = new Elipsa(x, y, 100, 100);
                elipsa.nakresli();
                početTvarů++;
            }
            else if(tvar.equals("trojúhelník")){
                Trojúhelník trojúhelník = new Trojúhelník(x, y, 100, 100);
                trojúhelník.nakresli();
                početTvarů++;
            }
            else{
                System.out.println("Toto nakreslit neumím: " + tvar);
            }
        }
    }
}